# Runways at an airport

## Get all runways at an airport

<mark style="color:blue;">`GET`</mark> `https://api.aviowiki.com/airports/{aid}/runways/all`

#### Path Parameters

| Name                                  | Type   | Description                |
| ------------------------------------- | ------ | -------------------------- |
| aid<mark style="color:red;">\*</mark> | String | Aviowiki ID of the airport |

#### Headers

| Name          | Type   | Description                              |
| ------------- | ------ | ---------------------------------------- |
| Authorization | String | An API Token using Bearer authorization. |

{% tabs %}
{% tab title="200: OK " %}
The detailed properties of one returned set item can be found in the [Runway](/data-models/runway.md) documentation.

```json
[
	{
		"helipad": false,
		"identifier": "13R",
		"magneticBearing": 134.00,
		"trueBearing": 121.00,
		"standardPattern": false,
		"thresholdElevation": 3.81,
		"width": 60.96,
		"tora": 4422.95,
		"toda": 4422.95,
		"asda": 4422.95,
		"lda": 3800.25,
		"surface": "CONCRETE",
		"pcnNumerical": 98,
		"pcnType": "R",
		"pcnStrength": "B",
		"pcnTirePressure": "W",
		"pcnMethod": "T",
		"edgeLights": true,
		"thresholdLights": false,
		"endLights": false,
		"centerLights": true,
		"centerLightsSpacing": null,
		"touchDownZoneLights": false,
		"visualApproachSlopeIndicator": "P4L",
		"approachLightConfiguration": "LDIN",
		"instrumental": false,
		"precision": false,
		"separate": false,
		"thresholdCoordinates": {
			"latitude": 40.6483617,
			"longitude": -73.8167147
		},
		"slope": null,
		"grooved": true,
		"parent": "APT-KS1J-8E0L",
		"aid": "RWY-V4ZG-LF64"
	},
	...,
	...,
	...,
]
```

{% endtab %}

{% tab title="403: Forbidden No API token was provided or it was invalid." %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

## Get paged runways at an airport

<mark style="color:blue;">`GET`</mark> `https://api.aviowiki.com/airports/{aid}/runways`

#### Path Parameters

| Name                                  | Type   | Description                |
| ------------------------------------- | ------ | -------------------------- |
| aid<mark style="color:red;">\*</mark> | String | Aviowiki ID of the airport |

#### Query Parameters

| Name | Type   | Description                                                                     |
| ---- | ------ | ------------------------------------------------------------------------------- |
| page | Number | The page number for pagination, starting from \`0\` to indicate the first page. |
| size | Number | The number of results in a page, for pagination.                                |

#### Headers

| Name          | Type   | Description                              |
| ------------- | ------ | ---------------------------------------- |
| Authorization | String | An API Token using Bearer authorization. |

{% tabs %}
{% tab title="200: OK " %}
The properties of the pagination can be found at [Pagination](/conventions/pagination.md). The detailed properties of one returned set item can be found in the [Runway](/data-models/runway.md) documentation.

```javascript
{
	"page": {
		"number": 0,
		"size": 10,
		"totalPages": 1,
		"totalResults": 8
	},
	"content": [
		{
			"helipad": false,
			"identifier": "13R",
			"magneticBearing": 134.00,
			"trueBearing": 121.00,
			"standardPattern": false,
			"thresholdElevation": 3.81,
			"width": 60.96,
			"tora": 4422.95,
			"toda": 4422.95,
			"asda": 4422.95,
			"lda": 3800.25,
			"surface": "CONCRETE",
			"pcnNumerical": 98,
			"pcnType": "R",
			"pcnStrength": "B",
			"pcnTirePressure": "W",
			"pcnMethod": "T",
			"edgeLights": true,
			"thresholdLights": false,
			"endLights": false,
			"centerLights": true,
			"centerLightsSpacing": null,
			"touchDownZoneLights": false,
			"visualApproachSlopeIndicator": "P4L",
			"approachLightConfiguration": "LDIN",
			"instrumental": false,
			"precision": false,
			"separate": false,
			"thresholdCoordinates": {
				"latitude": 40.6483617,
				"longitude": -73.8167147
			},
			"slope": null,
			"grooved": true,
			"parent": "APT-KS1J-8E0L",
			"aid": "RWY-V4ZG-LF64"
		},
		...,
		...,
		...,
	]
}
```

{% endtab %}

{% tab title="403: Forbidden No API token was provided or it was invalid." %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aviowiki.com/authenticated-endpoints/airport-endpoints/runways-at-an-airport.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
